Name:           python-pytest-mypy-plugins
Version:        3.2.0
Release:        %mkrel 1
Summary:        pytest plugin for writing tests for mypy plugins

License:        MIT
URL:            https://github.com/TypedDjango/pytest-mypy-plugins
Source:         %{pypi_source pytest_mypy_plugins}
Group:          Development/Python

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mypy)


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
pytest plugin for writing tests for mypy plugins.}

%description %_description

%package -n     python3-pytest-mypy-plugins
Summary:        %{summary}

%description -n python3-pytest-mypy-plugins %_description


%prep
%autosetup -p1 -n pytest_mypy_plugins-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_mypy_plugins

%check
#pytest


%files -n python3-pytest-mypy-plugins -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jul 02 2025 papoteur <papoteur> 3.2.0-1.mga10
+ Revision: 2243563
- import for usage in python-xarray

